- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Friends
efl::eina::_ptr_list_iterator< T > Struct Template Reference
Eina C++Eina C++ » | Data Types » Containers » List of Pointers Eina C++Eina C++ » | Data Types » | Containers

## Public Types
typedef remove_cv< T >::type | value_type
typedef value_type * | pointer
typedef value_type & | reference
Public Types inherited from efl::eina::_ptr_list_iterator_base
typedef std::ptrdiff_t | difference_type
typedef std::bidirectional_iterator_tag | iterator_category

## Public Member Functions
| _ptr_list_iterator (Eina_List *list, Eina_List *node)
| _ptr_list_iterator (_ptr_list_iterator< value_type > const &other)
_ptr_list_iterator< T > & | operator++ ()
_ptr_list_iterator< T > | operator++ (int)
_ptr_list_iterator< T > & | operator-- ()
_ptr_list_iterator< T > | operator-- (int)
reference | operator* () const
pointer | operator-> () const
Eina_List * | native_handle ()
Eina_List const * | native_handle () const
Public Member Functions inherited from efl::eina::_ptr_list_iterator_base
| _ptr_list_iterator_base (Eina_List *list, Eina_List *node)

## Friends
bool | operator== (_ptr_list_iterator< T > lhs, _ptr_list_iterator< T > rhs)
bool | operator!= (_ptr_list_iterator< T > lhs, _ptr_list_iterator< T > rhs)

## Additional Inherited Members
Protected Attributes inherited from efl::eina::_ptr_list_iterator_base
Eina_List * | _list
Eina_List * | _node